#
# spec file for package adaptec-firmware (Version 1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           adaptec-firmware
License:        Any commercial
Group:          Hardware/Other
AutoReqProv:    on
Summary:        Firmware files for Adaptec SAS Cards (AIC94xx Series)
Source0:        aic94xx-seq.fw
Source1:        LICENSE
Version:        1.0
Release:        3.13
# Install into this non-root directory (required when norootforbuild is used):
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%define _datadir /lib/firmware
# Modules: aic94xx.ko
Supplements:    modalias(pci:v00009005d00000410sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00009005d00000412sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00009005d0000041Esv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00009005d0000041Fsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00009005d00000430sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00009005d00000432sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00009005d0000043Esv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00009005d0000043Fsv*sd*bc*sc*i*)
# Generated with: extract-modaliases -i qla* kernel-default.rpm
%debug_package

%prep
cp %{S:1} .

%build
# There is nothing to build.

%install
# The firmware files must be installed in /lib/firmware
# because the firmware loader from udev searches there
mkdir -p %{buildroot}%{_datadir}
install -m 644 %{S:0} %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc LICENSE
%{_datadir}/

%description
Firmware files for the Adaptec AIC94xx (Razor) Series of SAS HBA
Adapters.



Authors:
--------
    Edward Chim <ed_chim@adaptec.com>

%changelog
* Tue Nov 27 2007 - hare@suse.de
- Update firmware to v32 (FATE 302809,#341872)
* Tue Feb 06 2007 - ro@suse.de
- fix typo in specfile
* Tue Feb 06 2007 - hare@suse.de
- Added LICENSE
* Mon Jan 08 2007 - hare@suse.de
- Inital package (FATE 301600).
